Class: Aws::IAM::Types::ListGroupPoliciesResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::IAM::Types::ListGroupPoliciesResponse
- Defined in:
- gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb
Overview
Contains the response to a successful ListGroupPolicies request.
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return.
-
#marker ⇒ String
When
IsTruncatedistrue, this element is present and contains the value to use for theMarkerparameter in a subsequent pagination request. -
#policy_names ⇒ Array<String>
A list of policy names.
Instance Attribute Details
#is_truncated ⇒ Boolean
A flag that indicates whether there are more items to return. If
your results were truncated, you can make a subsequent pagination
request using the Marker request parameter to retrieve more items.
Note that IAM might return fewer than the MaxItems number of
results even when there are more results available. We recommend
that you check IsTruncated after every call to ensure that you
receive all your results.
6369 6370 6371 6372 6373 6374 6375 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6369 class ListGroupPoliciesResponse < Struct.new( :policy_names, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#marker ⇒ String
When IsTruncated is true, this element is present and contains
the value to use for the Marker parameter in a subsequent
pagination request.
6369 6370 6371 6372 6373 6374 6375 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6369 class ListGroupPoliciesResponse < Struct.new( :policy_names, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |
#policy_names ⇒ Array<String>
A list of policy names.
This parameter allows (through its regex pattern) a string of characters consisting of upper and lowercase alphanumeric characters with no spaces. You can also include any of the following characters: _+=,.@-
6369 6370 6371 6372 6373 6374 6375 |
# File 'gems/aws-sdk-iam/lib/aws-sdk-iam/types.rb', line 6369 class ListGroupPoliciesResponse < Struct.new( :policy_names, :is_truncated, :marker) SENSITIVE = [] include Aws::Structure end |